/**************************************************
** GAME ASTEROID CLASS
**************************************************/

	asteroidImg0 = new Image();
	asteroidImg1 = new Image();
	asteroidImg2 = new Image();
	asteroidImg3 = new Image();
	asteroidImg4 = new Image();
	asteroidImg0.src = '../public/images/asteroids/a0.png';
	asteroidImg1.src = '../public/images/asteroids/a1.png';
	asteroidImg2.src = '../public/images/asteroids/a2.png';
	asteroidImg3.src = '../public/images/asteroids/a3.png';
	asteroidImg4.src = '../public/images/asteroids/a4.png';

var Asteroid = function(startX, startY, randomxSpeed, randomySpeed, random_aNum) {
	var x = startX,
		y = startY,
		xSpeed = randomxSpeed,
		ySpeed = randomySpeed,
		aNum = random_aNum;
		
	// getters & setters for Asteroid properties
	var getX = function() {
		return x;
	};
	
	var getY = function() {
		return y;
	};
	
	var setX = function(newX) {
		x = newX;
	};
	
	var setY = function(newY) {
		y = newY;
	};
	
	var getxSpeed = function() {
		return xSpeed;
	};
	
	var getySpeed = function() {
		return ySpeed;
	};
	
	var setxSpeed = function(newxSpeed) {
		xSpeed = newxSpeed;
	};
	
	var setySpeed = function(newySpeed) {
		ySpeed = newySpeed;
	};
	
	var get_aNum = function() {
		return aNum;
	};
	
	var set_aNum = function(new_aNum) {
		aNum = new_aNum;
	};
	
	var update = function(keys) {	
		// move according to the x and y speeds
		x += xSpeed;
		y += ySpeed;
		
		// asteroids always move
		return true;
	};
	
	var draw = function(ctx) {		
		//var asteroidImg = new Image();
		//asteroidImg.src = '../public/images/asteroids/a' + aNum +'.png';
		//asteroidImg.src = '../public/images/asteroids/a' + aNum +'.png';
		
		var asteroidImg;
		
		switch(aNum) {
			case 0:
				asteroidImg = asteroidImg0;
				break;
			case 1:
				asteroidImg = asteroidImg1;
				break;				
			case 2:
				asteroidImg = asteroidImg2;
				break;			
			case 3:
				asteroidImg = asteroidImg3;
				break;	
			case 4:	
				asteroidImg = asteroidImg4;
				break;				
		}
		
		//asteroidImg.onload = function() {
			var xOffset, yOffset; // the number of pixels offset to draw on the canvas. depends of the size of the asteroid image.
			switch (aNum) {
				case 0 : 
					xOffset = 10;
					yOffset = 7.5;
					break;
				case 1: 
					xOffset = 20;
					yOffset = 12;
					break;
				case 2:
					xOffset = 30;
					yOffset = 16;
					break;
				case 3:
					xOffset = 40;
					yOffset = 32.5;
					break;
				case 4: 
					xOffset = 50;
					yOffset = 45.5;
					break;
			}
					
			ctx.drawImage(asteroidImg, x - xOffset, y - yOffset);
		//};
	};
	
	return {
		getX: getX,
		getY: getY,
		setX: setX,
		setY: setY,
		get_aNum: get_aNum,
		set_aNum: set_aNum,
		update: update,
		draw: draw
	};
	
};
